Removal-of-legacy-response-imports-API
What is the change?
We are removing the Legacy Response Imports API from the Qualtrics public API catalog. After the deadline on June 30, 2026 the Legacy Response Imports API will no longer be available and any calls to those endpoints will result in 404 responses.
To replace the Legacy Response Imports API, you can use the Survey Response Imports API which offers very similar functionality. To minimize the impact this will have on your workflow, you need to change over to the Survey Response Import API before June 30, 2026.
What action do I need to take?
Here is a list of the changes you will need to make to ensure that your workflows continue to work as intended.
-
Replace usage of POST /API/v3/responseimports with POST /API/v3/surveys/{surveyId}/import-responses
- Be aware of the following differences:
- Request body type changes form
multipart/form-datatotest/csv - Request body content removes
surveyId - Request URL requires
surveyId - Response body Result returns modified fields and additional fields
result -> idis renamed toresult -> progressIdpercentComplete,status, andcontinuationTokenare additionally included in the response body.
- Request body type changes form
- Be aware of the following differences:
-
Replace usage of GET API/v3/responseimports/{responseImportId} with GET API/v3/surveys/{surveyId}/import-responses/{importProgressId}
- Be aware of the following differences:
- Request URL requires
surveyId
- Request URL requires
- Be aware of the following differences:
What if I have questions?
If you have a question about this change, please visit the Public API documentation site. It’s also always worth checking the XM Community to see if any other users have the same question.
If you’d rather speak to a specialist, our Support Team is always ready to assist. To contact them, please log into your Support Portal.